%global goipath github.com/google/uuid
Version:        1.1.1
%gometa

%global common_description %{expand:
The uuid package generates and inspects UUIDs based on RFC 4122 and DCE 1.1:
Authentication and Security Services.}

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go library to generate and inspect UUIDs
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}


%description
%{common_description}


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Thu Feb 28 2019 Carl George <carl@george.computer> - 1.1.1-1
- Latest upstream

* Mon Feb 11 2019 Carl George <carl@george.computer> - 1.1.0-1
- Initial package
